summaryrefslogtreecommitdiff
path: root/tests/df/skip-rootfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/df/skip-rootfs.sh')
-rwxr-xr-xtests/df/skip-rootfs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/df/skip-rootfs.sh b/tests/df/skip-rootfs.sh
index ed5364eb3..c42253dc3 100755
--- a/tests/df/skip-rootfs.sh
+++ b/tests/df/skip-rootfs.sh
@@ -34,7 +34,7 @@ grep '^rootfs' out && { fail=1; cat out; }
# Ensure that rootfs is yet skipped when explicitly specifying "-t rootfs".
# As df emits "no file systems processed" in this case, it would be a failure
# if df exited with status Zero.
-df -t rootfs >out && fail=1
+returns_ 1 df -t rootfs >out || fail=1
grep '^rootfs' out && { fail=1; cat out; }
# Ensure that the rootfs is shown when explicitly both specifying "-t rootfs"